<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMWO_ENWOViewEditViewBase from './emwo-enwoview-edit-view-base.vue';

import view_form from '@widgets/emwo-en/main4-form/main4-form.vue';

/**
 * 能耗登记工单
 *
 * @export
 * @class EMWO_ENWOViewEditView
 * @extends {EMWO_ENWOViewEditViewBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMWO_ENWOViewEditView extends EMWO_ENWOViewEditViewBase { }
</script>